org.jgroups.logging

## Class Log4JLogImpl

- java.lang.Object
- - org.jgroups.logging.Log4JLogImpl

- All Implemented Interfaces:
    Log

      public class Log4JLogImpl
      extends java.lang.Object
      implements Log

  Logger that delivers messages to a Log4J logger
  Since:
    2.8
  Author:
    Manik Surtani, Bela Ban

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Log4JLogImpl(java.lang.Class<?> category)`
    `Log4JLogImpl(java.lang.String category)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(java.lang.String msg)`
    `void` | `debug(java.lang.String msg, java.lang.Throwable throwable)`
    `void` | `error(java.lang.String msg)`
    `void` | `error(java.lang.String msg, java.lang.Throwable throwable)`
    `void` | `fatal(java.lang.String msg)`
    `void` | `fatal(java.lang.String msg, java.lang.Throwable throwable)`
    `java.lang.String` | `getLevel()`
    `void` | `info(java.lang.String msg)`
    `void` | `info(java.lang.String msg, java.lang.Throwable throwable)`
    `boolean` | `isDebugEnabled()`
    `boolean` | `isErrorEnabled()`
    `boolean` | `isFatalEnabled()`
    `boolean` | `isInfoEnabled()`
    `boolean` | `isTraceEnabled()`
    `boolean` | `isWarnEnabled()`
    `void` | `setLevel(java.lang.String level)` Sets the level of a logger.
    `void` | `trace(java.lang.Object msg)`
    `void` | `trace(java.lang.Object msg, java.lang.Throwable throwable)`
    `void` | `trace(java.lang.String msg)`
    `void` | `trace(java.lang.String msg, java.lang.Throwable throwable)`
    `void` | `warn(java.lang.String msg)`
    `void` | `warn(java.lang.String msg, java.lang.Throwable throwable)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Log4JLogImpl

          public Log4JLogImpl(java.lang.String category)

    - #### Log4JLogImpl

          public Log4JLogImpl(java.lang.Class<?> category)

  - ### Method Detail

    - #### isFatalEnabled

          public boolean isFatalEnabled()

      Specified by:
        `isFatalEnabled` in interface `Log`

    - #### isErrorEnabled

          public boolean isErrorEnabled()

      Specified by:
        `isErrorEnabled` in interface `Log`

    - #### isWarnEnabled

          public boolean isWarnEnabled()

      Specified by:
        `isWarnEnabled` in interface `Log`

    - #### isInfoEnabled

          public boolean isInfoEnabled()

      Specified by:
        `isInfoEnabled` in interface `Log`

    - #### isDebugEnabled

          public boolean isDebugEnabled()

      Specified by:
        `isDebugEnabled` in interface `Log`

    - #### isTraceEnabled

          public boolean isTraceEnabled()

      Specified by:
        `isTraceEnabled` in interface `Log`

    - #### debug

          public void debug(java.lang.String msg)

      Specified by:
        `debug` in interface `Log`

    - #### debug

          public void debug(java.lang.String msg,
                   java.lang.Throwable throwable)

      Specified by:
        `debug` in interface `Log`

    - #### error

          public void error(java.lang.String msg)

      Specified by:
        `error` in interface `Log`

    - #### error

          public void error(java.lang.String msg,
                   java.lang.Throwable throwable)

      Specified by:
        `error` in interface `Log`

    - #### fatal

          public void fatal(java.lang.String msg)

      Specified by:
        `fatal` in interface `Log`

    - #### fatal

          public void fatal(java.lang.String msg,
                   java.lang.Throwable throwable)

      Specified by:
        `fatal` in interface `Log`

    - #### info

          public void info(java.lang.String msg)

      Specified by:
        `info` in interface `Log`

    - #### info

          public void info(java.lang.String msg,
                  java.lang.Throwable throwable)

      Specified by:
        `info` in interface `Log`

    - #### trace

          public void trace(java.lang.Object msg)

      Specified by:
        `trace` in interface `Log`

    - #### trace

          public void trace(java.lang.Object msg,
                   java.lang.Throwable throwable)

      Specified by:
        `trace` in interface `Log`

    - #### trace

          public void trace(java.lang.String msg)

      Specified by:
        `trace` in interface `Log`

    - #### trace

          public void trace(java.lang.String msg,
                   java.lang.Throwable throwable)

      Specified by:
        `trace` in interface `Log`

    - #### warn

          public void warn(java.lang.String msg)

      Specified by:
        `warn` in interface `Log`

    - #### warn

          public void warn(java.lang.String msg,
                  java.lang.Throwable throwable)

      Specified by:
        `warn` in interface `Log`

    - #### getLevel

          public java.lang.String getLevel()

      Specified by:
        `getLevel` in interface `Log`

    - #### setLevel

          public void setLevel(java.lang.String level)

      Description copied from interface: `Log`
      Sets the level of a logger. This method is used to dynamically change the logging level of a running system, e.g. via JMX. The appender of a level needs to exist.
      Specified by:
        `setLevel` in interface `Log`
      Parameters:
        `level` - The new level. Valid values are "fatal", "error", "warn", "info", "debug", "trace" (capitalization not relevant)

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.